<div class="ui modal" id="create-tree-modal">
    <div *ngIf="binaryTreeService.openTreeConfModalMode === OPEN_MODE_ENUM.CREATE_NEW_TREE" class="header">
        Create binary tree
    </div>
    <div *ngIf="binaryTreeService.openTreeConfModalMode === OPEN_MODE_ENUM.EDIT_CURRENT_TREE" class="header">
        Edit {{ binaryTreeService.currentTree?.treeName }} configuration
    </div>
    <div class="content">
        <form [formGroup]="createBinaryTreeForm" class="ui form">
            <table style="width: 100%;">
                <thead>
                    <tr>
                        <th></th>
                        <th></th>
                        <th></th>
                    </tr>
                </thead>
                <tbody>
                    <tr>
                        <td>Tree path: </td>
                        <td>
                            <div class="field">
                                <input type="text" name="treePath" [value]="currentPath" formControlName="treePath">
                            </div>
                        </td>
                        <td>
                            <i class="folder icon large" style="margin-left: 15px; cursor: pointer;" (click)="chooseCreateFolder()"></i>
                        </td>
                    </tr>
                    <tr>
                        <td>Tree name: </td>
                        <td>
                            <div class="field">
                                <input type="text" name="treeName" formControlName="treeName">
                            </div>
                        </td>
                        <td></td>
                    </tr>
                    <tr>
                        <td>Api relative path: </td>
                        <td>
                            <div class="field">
                                <input type="text" name="apiRelativePath" formControlName="apiRelativePath">
                            </div>
                            
                        </td>
                        <td></td>
                    </tr>
                    <tr>
                        <td>Api class name: </td>
                        <td>
                            <div class="field">
                                <input type="text" name="apiClass" formControlName="apiClass">
                            </div>
                        </td>
                        <td></td>
                    </tr>
                    <tr>
                        <td>
                            Language
                        </td>
                        <td>
                            <div class="field">
                                <select class="ui selection dropdown" id="language-dd">
                                    <option *ngFor="let language of supportedLanguages" value="{{ language }}">{{ language }}</option>
                                </select>
                            </div>
                        </td>
                    </tr>
                </tbody>
            </table>
        </form>
    </div>
    <div class="actions">
        <div class="ui black deny button">
            Cancel
        </div>
        <div *ngIf="binaryTreeService.openTreeConfModalMode === OPEN_MODE_ENUM.CREATE_NEW_TREE" class="ui positive right labeled icon button" (click)="onCreateBinaryTree()">
            Create
            <i class="checkmark icon"></i>
        </div>
        <div *ngIf="binaryTreeService.openTreeConfModalMode === OPEN_MODE_ENUM.EDIT_CURRENT_TREE" class="ui positive right labeled icon button" (click)="onSaveBinaryTreeConf()">
            Edit
            <i class="checkmark icon"></i>
        </div>
    </div>
</div>